# Algorithm
[![codecov](https://codecov.io/gh/pllee4/algorithm/branch/check_coverage/graph/badge.svg?token=GYORB7SM25)](https://codecov.io/gh/pllee4/algorithm)
[![Quality Gate Status](https://sonarcloud.io/api/project_badges/measure?project=algorithm&metric=alert_status)](https://sonarcloud.io/summary/new_code?id=algorithm)
![conan_package](https://gitlab.com/pinloon/public/algorithm/badges/master/pipeline.svg)

- This repo is for learning purpose, consisted of generic and robotics algorithm

# Build
```
$ mkdir build && cd build
$ cmake ..
$ make -j
```

# Note
- For visualization, please refer to repo [here](https://github.com/pllee4/robot-visualizer.git)
  
  ![app_search_algo](https://user-images.githubusercontent.com/42335542/180598459-32addc9a-2517-46e8-93d4-26fd1d49113b.gif)